using System;
using NUnit.Framework;

namespace Smdn.Net.Imap4 {
  [TestFixture]
  public class ImapAddressTests {
    [Test]
    public void TestToMailAddressWithDisplayName()
    {
      var address = (new ImapAddress("=?ISO-2022-JP?B?GyRCJE8kRiRKJSIlcyVGJUobKEI=?=", null, "info", "hatena.ne.jp")).ToMailAddress();

      Assert.AreEqual("はてなアンテナ", address.DisplayName);
      Assert.AreEqual("info", address.User);
      Assert.AreEqual("hatena.ne.jp", address.Host);

      address = (new ImapAddress("sender", null, "test", "example.com")).ToMailAddress();

      Assert.AreEqual("sender", address.DisplayName);
      Assert.AreEqual("test", address.User);
      Assert.AreEqual("example.com", address.Host);
    }

    [Test]
    public void TestToMailAddressWithoutDisplayName()
    {
      var address = (new ImapAddress(null, null, "santamarta", "mail.invisiblefulmoon.net")).ToMailAddress();

      Assert.AreEqual("santamarta", address.User);
      Assert.AreEqual("mail.invisiblefulmoon.net", address.Host);
    }
  }
}
